Bug 256900 - dns/yadifa: update to 2.5.0
Summary: dns/yadifa: update to 2.5.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Neel Chauhan
URL: https://www.yadifa.eu/sites/default/f...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-06-30 10:35 UTC by Leo Vandewoestijne
Modified: 2021-08-12 14:44 UTC (History)
2 users (show)

See Also:


Attachments
Yadifa 2.5.0 (6.31 KB, text/plain)
2021-06-30 10:35 UTC, Leo Vandewoestijne
no flags Details
Yadifa 2.5.0 (7.06 KB, patch)
2021-07-05 09:40 UTC, Leo Vandewoestijne
freebsd: maintainer-approval+
Details | Diff
Yadifa 2.5.0 w/o spaces (6.63 KB, patch)
2021-08-11 15:13 UTC, Leo Vandewoestijne
freebsd: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Leo Vandewoestijne 2021-06-30 10:35:42 UTC
Created attachment 226125 [details]
Yadifa 2.5.0

Yadifa was updated to 2.5.0
This git diff patch does accordingly.

Additional it solves problems mentioned in PR 253842

Tested with portfmt and poudriere
Comment 1 Fernando Apesteguía freebsd_committer 2021-07-01 06:47:43 UTC
^Triage: Please set the maintainer-approval attachment flag (to +) on patches for ports you maintain to signify approval.
--
Attachment -> Details -> maintainer-approval [+]

^Triage: Maintainer-feedback flag (+) not required unless requested (?) first.

There seems to be some options which don't have any consequence in the build of the port. Would you have a look?

Q/A:  Makefile: DNSSECTOOLS is listed in OPTIONS_DEFINE, but no PORT_OPTIONS:MDNSSECTOOLS appears.
 Makefile: KEYGEN is listed in OPTIONS_DEFINE, but no PORT_OPTIONS:MKEYGEN appears.
 Makefile: ZONESIGN is listed in OPTIONS_DEFINE, but no PORT_OPTIONS:MZONESIGN appears.

^Triage: Please confirm this change passes QA (portlint, poudriere at least).
--
https://www.freebsd.org/doc/en/books/porters-handbook/testing.html


Thanks!
Comment 2 Leo Vandewoestijne 2021-07-05 09:40:00 UTC
Created attachment 226231 [details]
Yadifa 2.5.0
Comment 3 Leo Vandewoestijne 2021-07-05 09:52:22 UTC
(In reply to Fernando Apesteguía from comment #1)

> Please set the maintainer-approval attachment flag (to +) on patches for ports you maintain to signify approval.
>
Done.

> There seems to be some options which don't have any consequence
>
According "./configure --help" they disable configure options which are enabled by default. So I trust the vendors info and expect it does make a difference.

> Please confirm this change passes QA (portlint, poudriere at least).
>
Was tested with both, but now also with portclippy and portfmt fully pleased.
Comment 4 Fernando Apesteguía freebsd_committer 2021-07-05 13:54:02 UTC
(In reply to Leo Vandewoestijne from comment #3)
Well, until you added the corresponding _ON / _OFF variables, what were those options doing? Did they have any effect?
Comment 5 Leo Vandewoestijne 2021-07-05 14:46:31 UTC
(In reply to Fernando Apesteguía from comment #4)

It's suppose to do this at configure:

  --disable-FEATURE       do not include FEATURE (same as --enable-FEATURE=no)
  --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]

  --disable-dnssec-tools
                          Disable DNSSEC module for yadifa
  --enable-zonesign
                          Enable yadifa zonesign tool
  --enable-keygen
                          Enable yadifa keygen tool
Comment 6 Leo Vandewoestijne 2021-07-05 14:50:46 UTC
(In reply to Fernando Apesteguía from comment #4)
> Did they have any effect?

I can't tell, as I'm not using those features inside Yadifa.
But changing the default for at least ZONESIGN did not affect the plist stage in poudriere.
Comment 7 Leo Vandewoestijne 2021-08-11 15:13:56 UTC
Created attachment 227114 [details]
Yadifa 2.5.0 w/o spaces

Probably previous patch doesn't apply easily because of spaces instead of tabs.
This patch is identical, except for the spaces, so should work easier.
Comment 8 Neel Chauhan freebsd_committer 2021-08-12 14:43:48 UTC
Committed!
Comment 9 commit-hook freebsd_committer 2021-08-12 14:44:20 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=d04985d352e9dc1c63061e292734689148909410

commit d04985d352e9dc1c63061e292734689148909410
Author:     Leo Vandewoestijne <freebsd@dns.company>
AuthorDate: 2021-08-12 14:42:20 +0000
Commit:     Neel Chauhan <nc@FreeBSD.org>
CommitDate: 2021-08-12 14:43:20 +0000

    dns/yadifa: update to 2.5.0

    Changes: https://www.yadifa.eu/sites/default/files/README_2.5.0.txt

    PR:     256900

 GIDs                        |  2 +-
 UIDs                        |  2 +-
 dns/yadifa/Makefile         | 19 ++++++++++++++-----
 dns/yadifa/distinfo         |  6 +++---
 dns/yadifa/files/yadifad.in | 22 ++++++++++++----------
 dns/yadifa/pkg-plist        | 31 +++++++++++++++++--------------
 6 files changed, 48 insertions(+), 34 deletions(-)